Package jnr.constants.platform.linux.mips64el

# Enum InterfaceInfo

java.lang.Object
java.lang.Enum<InterfaceInfo>
jnr.constants.platform.linux.mips64el.InterfaceInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<InterfaceInfo>`, `java.lang.constant.Constable`, `Constant`

public enum InterfaceInfo extends Enum<InterfaceInfo> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IFF_ALLMULTI`
`IFF_AUTOMEDIA`
`IFF_BROADCAST`
`IFF_DEBUG`
`IFF_DYNAMIC`
`IFF_LOOPBACK`
`IFF_MASTER`
`IFF_MULTICAST`
`IFF_NOARP`
`IFF_NOTRAILERS`
`IFF_POINTOPOINT`
`IFF_PORTSEL`
`IFF_PROMISC`
`IFF_RUNNING`
`IFF_SLAVE`
`IFF_UP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static InterfaceInfo`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InterfaceInfo[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### IFF_ALLMULTI

public static final InterfaceInfo IFF_ALLMULTI

### IFF_AUTOMEDIA

public static final InterfaceInfo IFF_AUTOMEDIA

### IFF_BROADCAST

public static final InterfaceInfo IFF_BROADCAST

### IFF_DEBUG

public static final InterfaceInfo IFF_DEBUG

### IFF_DYNAMIC

public static final InterfaceInfo IFF_DYNAMIC

### IFF_LOOPBACK

public static final InterfaceInfo IFF_LOOPBACK

### IFF_MASTER

public static final InterfaceInfo IFF_MASTER

### IFF_MULTICAST

public static final InterfaceInfo IFF_MULTICAST

### IFF_NOARP

public static final InterfaceInfo IFF_NOARP

### IFF_NOTRAILERS

public static final InterfaceInfo IFF_NOTRAILERS

### IFF_POINTOPOINT

public static final InterfaceInfo IFF_POINTOPOINT

### IFF_PORTSEL

public static final InterfaceInfo IFF_PORTSEL

### IFF_PROMISC

public static final InterfaceInfo IFF_PROMISC

### IFF_RUNNING

public static final InterfaceInfo IFF_RUNNING

### IFF_SLAVE

public static final InterfaceInfo IFF_SLAVE

### IFF_UP

public static final InterfaceInfo IFF_UP

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static InterfaceInfo[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static InterfaceInfo valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<InterfaceInfo>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`